Name: Generic Ecology Survey
UUID: c1adeef4-8467-491a-bac7-72918f2eee06
Description: "A very generic ecological survey project, you go to some site, then collect the environment data for that site, then collect multiple species data at that site. Should be a very generic survey program?"
Version: 2
Sections:
  Site:
    Weight: 0
    Variables:
      Date:
        StableId: vid-date
        Type: Date
        Weight: 0
        Required: True
        AutoNow: True
      Name:
        StableId: vid-name
        Type: Option
        Weight: 1
        Overview: True
        Required: True
        Options:
          - Site A
          - Site B
          - Site C
        Expandable: True
        Default: Site A
      Weather:
        StableId: vid-weather
        Type: Option
        Weight: 2
        Required: True
        Options:
          - Sunny
          - Cloudy
          - Rainy
        Default: Cloudy
      Surveyors:
        StableId: vid-surveyors
        Type: Option
        Weight: 3
        Overview: True
        Required: True
        Options:
          - Mary
          - Tom
          - John
          - Tommy
          - Amy
        Multiple: True
        Expandable: True
      Env-1:
        StableId: vid-env-1
        Type: Int
        Weight: 4
        Overview: True
        Required: True
        Tip: An integer environment data
        Min: 0
        Max: 100
        Step: 1
      Env-2:
        StableId: vid-env-2
        Type: Float
        Weight: 5
        Overview: True
        Required: True
        Tip: An float environment data
      Env-photo:
        StableId: vid-env-photo
        Type: Photo
        Weight: 6
        Multiple: True
      Note:
        StableId: vid-note
        Type: Markdown
        Weight: 7
        Tip: A long paragraph of notes for this site? the species conditions here??
  Species:
    StableId: sid-species
    Weight: 0
    Parent: Site
    TitleVar: Name
    Variables:
      Name:
        StableId: vid-name
        Type: Option
        Weight: 0
        Overview: True
        Required: True
        AutoFillLast: True
        Options:
          - Species A
          - Species B
          - Species C
          - Species D
        Expandable: True
        Default: Species A
      Measurement 1:
        StableId: vid-measurement-1
        Type: Float
        Weight: 1
        Overview: True
        Required: True
        AutoFillLast: True
        Tip: Just as body size?
      Measurement 2:
        StableId: vid-measurement-2
        Type: Float
        Weight: 2
        Overview: True
        Required: True
        AutoFillLast: True
        Tip: Just as body weight?
      Trait:
        StableId: vid-trait
        Type: Option
        Weight: 3
        Tip: Some special trait on this individual? such as... is female? is male? is dead? is adult? is alive? is_xxx??
        Options:
          - trait 1
          - trait 2
          - trait 3
        Multiple: True
        Expandable: True
      Note:
        StableId: vid-note
        Type: String
        Weight: 4
        Tip: One line note for this individual if something special?
      Photo:
        Type: Photo
        Weight: 5
        Tip: "Take photos if you spot some thing special!"
        Multiple: True
